AsterNet Class Library (Sandcastle documentation)

| SayDateTimeCommand Class

Say a given time, returning early if any of the given DTMF digits are pressed.
Returns 0 if playback completes without a digit being pressed, or the ASCII numerical value of the digit if one was pressed or -1 on error/hangup.
Available since Asterisk 1.2.
Inheritance Hierarchy
System
Object
AsterNET.FastAGI.Command
AGICommand
AsterNET.FastAGI.Command
SayDateTimeCommand

Namespace: AsterNET.FastAGI.Command
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public class SayDateTimeCommand : AGICommand

    Public Class SayDateTimeCommand
    	Inherits AGICommand

    public ref class SayDateTimeCommand : public AGICommand

    type SayDateTimeCommand =
        class
            inherit AGICommand
        end

The SayDateTimeCommand type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| SayDateTimeCommand(Int64) | Creates a new SayDateTimeCommand that says the given time. the time to say in seconds elapsed since 00:00:00 on January 1, 1970, Coordinated Universal Time (UTC)
| SayDateTimeCommand(Int64, String) | Creates a new SayDateTimeCommand that says the given time and allows interruption by one of the given escape digits.
| SayDateTimeCommand(Int64, String, String) | Creates a new SayDateTimeCommand that says the given time in the given format and allows interruption by one of the given escape digits.
| SayDateTimeCommand(Int64, String, String, String) | Creates a new SayDateTimeCommand that says the given time in the given format and timezone and allows interruption by one of the given escape digits.

Top
Methods

| Name | Description
--- | --- | ---
| BuildCommand | (Overrides AGICommand BuildCommand .)
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| EscapeAndQuote | (Inherited from AGICommand.)
| Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
| ToString | (Inherited from AGICommand.)

Top
Properties

| Name | Description
--- | --- | ---
| Format | Get/Set the format the time should be said in.
| getEscapeDigits | Get/Set the digits that allow the user to interrupt this command.
| Time | Get/Set the time to say in seconds elapsed since 00:00:00 on January 1, 1970, Coordinated Universal Time (UTC).
| Timezone | Get/Set the timezone to use when saying the time.

Top
See Also

#### Reference

AsterNET.FastAGI.Command Namespace